Overview | Package | Class | Tree | Deprecated | Index | Help
| ContactCenters V. 0.9.9.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## umontreal.iro.lecuyer.contactcenters.msk
Class CallCenterSimUtil

    java.lang.Object
      umontreal.iro.lecuyer.contactcenters.msk.CallCenterSimUtil

    public class CallCenterSimUtil

extends Object

Method Summary
`static int` | `checkCpuTimeLimit(double cpuTime, double limit, int steps, int nb, boolean verbose)` Corrects the number of observations required to approximately enforce the CPU time limit.
`static double[]` | `getObs(TallyStore tally)`
`static int` | `getRequiredNewSteps(CallCenterStatProbes ccStat, double targetError, double level, boolean onlyServiceLevel, int mp, boolean verbose)`
`static int` | `getRequiredNewSteps(Map<PerformanceMeasureType,MatrixOfStatProbes<?>> ccStat, List<SequentialSamplingParams> seqSamp, boolean verbose)` Computes the number of additional replications or batches required for reaching a certain precision.
`static PerformanceMeasureType[]` | `initPerformanceMeasures(SimParams simParams)`
`static PerformanceMeasureType[]` | `removeVQ(PerformanceMeasureType... pms)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### initPerformanceMeasures

    public static PerformanceMeasureType[] initPerformanceMeasures(SimParams simParams)

### removeVQ

    public static PerformanceMeasureType[] removeVQ(PerformanceMeasureType... pms)

### getRequiredNewSteps

    public static int getRequiredNewSteps(Map<PerformanceMeasureType,MatrixOfStatProbes<?>> ccStat,
                                          List<SequentialSamplingParams> seqSamp,
                                          boolean verbose)

  Computes the number of additional replications or batches required for reaching a certain precision.

  Parameters:
    `ccStat` - the statistical probes of the call center.
    `seqSamp` - the parameters for sequential sampling.
    `verbose` - determines if the method logs information about the number of required additional observations, for each tested performance measure.
  Returns:
    the number of additional observations required.

### getRequiredNewSteps

    public static int getRequiredNewSteps(CallCenterStatProbes ccStat,
                                          double targetError,
                                          double level,
                                          boolean onlyServiceLevel,
                                          int mp,
                                          boolean verbose)

### checkCpuTimeLimit

    public static int checkCpuTimeLimit(double cpuTime,
                                        double limit,
                                        int steps,
                                        int nb,
                                        boolean verbose)

  Corrects the number of observations required to approximately enforce the CPU time limit. This method estimates the CPU time for computing one observation by dividing the CPU time elapsed by `nb`, and estimates the maximal number of observations allowed without exceeding the CPU time limit. The method then returns this number, or `nb` if the limit is greater than `nb`.

  Parameters:
    `nb` - the computed number of additional observations.
  Returns:
    the corrected number of additional observations.

### getObs

    public static double[] getObs(TallyStore tally)

Overview | Package | Class | Tree | Deprecated | Index | Help
| ContactCenters V. 0.9.9.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

To submit a bug or ask questions, send an e-mail to Richard Simard.